package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.MessagePerson;
import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.MessageInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MessageInfoDAO {
	int insert(MessageInfo entity);
	int update(MessageInfo entity);
	int exist(String id);
	MessageInfo get(String id);
	int delete(String id);
	List<MessageInfo> list();
	List<MessageInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
	List<MessagePerson> personSearch(Map<String, Object> searchParams, List<Sort> sortList);
}